VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
Version Struct Reference

`#include <versionparser.h>`

## Public Types
using | StringType = std::string

## Public Member Functions
| Version (uint32_t inMajor=0, uint32_t inMinor=0, uint32_t inSub=0, uint32_t inBuildnumber=0)
void | setMajor (uint32_t v)
void | setMinor (uint32_t v)
void | setSub (uint32_t v)
void | setBuildnumber (uint32_t v)
uint32_t | getMajor () const
uint32_t | getMinor () const
uint32_t | getSub () const
uint32_t | getBuildnumber () const
bool | operator> (const Version &v) const

## Static Public Member Functions
static Version | parse (StringType str)

## Member Typedef Documentation

## ◆ StringType

using StringType = std::string

## Constructor & Destructor Documentation

## ◆ Version()

Version | ( | uint32_t | inMajor = 0,
|  | uint32_t | inMinor = 0,
|  | uint32_t | inSub = 0,
|  | uint32_t | inBuildnumber = 0 )
| inline

## Member Function Documentation

## ◆ setMajor()

void setMajor | ( | uint32_t | v | ) |
| inline

## ◆ setMinor()

void setMinor | ( | uint32_t | v | ) |
| inline

## ◆ setSub()

void setSub | ( | uint32_t | v | ) |
| inline

## ◆ setBuildnumber()

void setBuildnumber | ( | uint32_t | v | ) |
| inline

## ◆ getMajor()

uint32_t getMajor | ( |  | ) | const
| inline

## ◆ getMinor()

uint32_t getMinor | ( |  | ) | const
| inline

## ◆ getSub()

uint32_t getSub | ( |  | ) | const
| inline

## ◆ getBuildnumber()

uint32_t getBuildnumber | ( |  | ) | const
| inline

## ◆ operator>()

bool operator> | ( | const Version & | v | ) | const
| inline

## ◆ parse()

static Version parse | ( | StringType | str | ) |
| inline static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.